local kube = import "../../kube/kube.libsonnet";

// Global resources specific to Matrix deployments. Currently this is only RBAC objects.

{
    // Allow non-staff admin access to matrix.0x3c.pl.
    admin0x3c: kube.RoleBinding("admins") {
        metadata+: {
            namespace: "matrix-0x3c",
        },
        roleRef: {
            apiGroup: "rbac.authorization.k8s.io",
            kind: "ClusterRole",
            name: "system:admin-namespace",
        },
        subjects: [
            {
                apiGroup: "rbac.authorization.k8s.io",
                kind: "User",
                name: "not7cd@hackerspace.pl",
            },
        ],
    },
}
